wxWidgets: wxPropertyGridPage Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
wxPropertyGridPage Class Reference
Class List by Category » wxPropertyGrid

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/propgrid/manager.h>`

Inheritance diagram for wxPropertyGridPage:
[legend]

## Detailed Description

Holder of property grid page information.

You can subclass this and give instance in wxPropertyGridManager::AddPage. It inherits from wxEvtHandler and can be used to process events specific to this page (id of events will still be same as manager's). If you don't want to use it to process all events of the page, you need to return false in the derived wxPropertyGridPage::IsHandlingAllEvents.

Please note that wxPropertyGridPage lacks many non-const property manipulation functions found in wxPropertyGridManager. Please use parent manager (m_manager member variable) when needed.

Please note that most member functions are inherited and as such not documented on this page. This means you will probably also want to read wxPropertyGridInterface class reference.

# Event Handling

wxPropertyGridPage receives events emitted by its wxPropertyGridManager, but only those events that are specific to that page. If wxPropertyGridPage:: IsHandlingAllEvents returns false, then unhandled events are sent to the manager's parent, as usual.

See wxPropertyGrid Event Handling for more information.

##

Library: wxPropertyGrid

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxPropertyGridPage ()
virtual | ~wxPropertyGridPage ()
virtual void | Clear ()
| Deletes all properties on page.
wxSize | FitColumns ()
| Reduces column sizes to minimum possible that contents are still visibly (naturally some margin space will be applied as well).
int | GetIndex () const
| Returns page index in manager;.
wxPGProperty * | GetRoot () const
| Returns "root property".
int | GetSplitterPosition (int col=0) const
| Returns x-coordinate position of splitter on a page.
wxPropertyGridPageState * | GetStatePtr ()
| Returns pointer to contained property grid state.
const wxPropertyGridPageState * | GetStatePtr () const
| Returns pointer to contained property grid state.
int | GetToolId () const
| Returns id of the tool bar item that represents this page on wxPropertyGridManager's wxToolBar.
virtual void | Init ()
| Do any member initialization in this method.
virtual bool | IsHandlingAllEvents () const
| Return false here to indicate unhandled events should be propagated to manager's parent, as normal.
virtual void | OnShow ()
| Called every time page is about to be shown.
virtual void | RefreshProperty (wxPGProperty *p)
| Refreshes given property on page.
void | SetSplitterPosition (int splitterPos, int col=0)
| Sets splitter position on page.
Public Member Functions inherited from wxEvtHandler
| wxEvtHandler ()
| Constructor.
virtual | ~wxEvtHandler ()
| Destructor.
virtual void | QueueEvent (wxEvent *event)
| Queue event for a later processing.
virtual void | AddPendingEvent (const wxEvent &event)
| Post an event to be processed later.
template<typename T, typename T1, ...>
void | CallAfter (void(T::*method)(T1,...), T1 x1,...)
| Asynchronously call the given method.
template<typename T>
void | CallAfter (const T &functor)
| Asynchronously call the given functor.
virtual bool | ProcessEvent (wxEvent &event)
| Processes an event, searching event tables and calling zero or more suitable event handler function(s).
bool | ProcessEventLocally (wxEvent &event)
| Try to process the event in this handler and all those chained to it.
bool | SafelyProcessEvent (wxEvent &event)
| Processes an event by calling ProcessEvent() and handles any exceptions that occur in the process.
void | ProcessPendingEvents ()
| Processes the pending events previously queued using QueueEvent() or AddPendingEvent(); you must call this function only if you are sure there are pending events for this handler, otherwise a `wxCHECK` will fail.
void | DeletePendingEvents ()
| Deletes all events queued on this event handler using QueueEvent() or AddPendingEvent().
void | Connect (int id, int lastId, wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| Connects the given function dynamically with the event handler, id and event type.
void | Connect (int id, wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Connect(int, int, wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info.
void | Connect (wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Connect(int, int, wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info.
bool | Disconnect (wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| Disconnects the given function dynamically from the event handler, using the specified parameters as search criteria and returning true if a matching function has been found and removed.
bool | Disconnect (int id=wxID_ANY, wxEventType eventType=wxEVT_NULL, wxObjectEventFunction function=NULL, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Disconnect(wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info.
bool | Disconnect (int id, int lastId, wxEventType eventType, wxObjectEventFunction function=NULL, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Disconnect(wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info.
template<typename EventTag, typename Functor>
void | Bind (const EventTag &eventType, Functor functor, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| Binds the given function, functor or method dynamically with the event.
template<typename EventTag, typename Class, typename EventArg, typename EventHandler>
void | Bind (const EventTag &eventType, void(Class::*method)(EventArg &), EventHandler *handler, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| See the Bind<>(const EventTag&, Functor, int, int, wxObject*) overload for more info.
template<typename EventTag, typename Functor>
bool | Unbind (const EventTag &eventType, Functor functor, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| Unbinds the given function, functor or method dynamically from the event handler, using the specified parameters as search criteria and returning true if a matching function has been found and removed.
template<typename EventTag, typename Class, typename EventArg, typename EventHandler>
bool | Unbind (const EventTag &eventType, void(Class::*method)(EventArg &), EventHandler *handler, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| See the Unbind<>(const EventTag&, Functor, int, int, wxObject*) overload for more info.
void * | GetClientData () const
| Returns user-supplied client data.
wxClientData * | GetClientObject () const
| Returns a pointer to the user-supplied client data object.
void | SetClientData (void *data)
| Sets user-supplied client data.
void | SetClientObject (wxClientData *data)
| Set the client data object.
bool | GetEvtHandlerEnabled () const
| Returns true if the event handler is enabled, false otherwise.
wxEvtHandler * | GetNextHandler () const
| Returns the pointer to the next handler in the chain.
wxEvtHandler * | GetPreviousHandler () const
| Returns the pointer to the previous handler in the chain.
void | SetEvtHandlerEnabled (bool enabled)
| Enables or disables the event handler.
virtual void | SetNextHandler (wxEvtHandler *handler)
| Sets the pointer to the next handler.
virtual void | SetPreviousHandler (wxEvtHandler *handler)
| Sets the pointer to the previous handler.
void | Unlink ()
| Unlinks this event handler from the chain it's part of (if any); then links the "previous" event handler to the "next" one (so that the chain won't be interrupted).
bool | IsUnlinked () const
| Returns true if the next and the previous handler pointers of this event handler instance are NULL.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
Public Member Functions inherited from wxPropertyGridInterface
virtual | ~wxPropertyGridInterface ()
| Destructor.
wxPGProperty * | Append (wxPGProperty *property)
| Appends property to the list.
wxPGProperty * | AppendIn (wxPGPropArg id, wxPGProperty *newProperty)
| Same as Append(), but appends under given parent property.
void | BeginAddChildren (wxPGPropArg id)
| In order to add new items into a property with private children (for instance, wxFlagsProperty), you need to call this method.
bool | ClearSelection (bool validation=false)
| Clears current selection, if any.
void | ClearModifiedStatus ()
| Resets modified status of all properties.
bool | Collapse (wxPGPropArg id)
| Collapses given category or property with children.
bool | CollapseAll ()
| Collapses all items that can be collapsed.
bool | ChangePropertyValue (wxPGPropArg id, wxVariant newValue)
| Changes value of a property, as if by user.
void | DeleteProperty (wxPGPropArg id)
| Removes and deletes a property and any children.
bool | DisableProperty (wxPGPropArg id)
| Disables a property.
bool | EditorValidate ()
| Returns true if all property grid data changes have been committed.
bool | EnableProperty (wxPGPropArg id, bool enable=true)
| Enables or disables property.
void | EndAddChildren (wxPGPropArg id)
| Called after population of property with fixed children has finished.
bool | Expand (wxPGPropArg id)
| Expands given category or property with children.
bool | ExpandAll (bool expand=true)
| Expands all items that can be expanded.
int | GetColumnProportion (unsigned int column) const
| Returns auto-resize proportion of the given column.
wxPGProperty * | GetFirstChild (wxPGPropArg id)
| Returns id of first child of given property.
wxPropertyGridIterator | GetIterator (int flags=wxPG_ITERATE_DEFAULT, wxPGProperty *firstProp=NULL)
| Returns iterator class instance.
wxPropertyGridConstIterator | GetIterator (int flags=wxPG_ITERATE_DEFAULT, wxPGProperty *firstProp=NULL) const
wxPropertyGridIterator | GetIterator (int flags, int startPos)
| Returns iterator class instance.
wxPropertyGridConstIterator | GetIterator (int flags, int startPos) const
wxPGProperty * | GetFirst (int flags=wxPG_ITERATE_ALL)
| Returns id of first item that matches given criteria.
const wxPGProperty * | GetFirst (int flags=wxPG_ITERATE_ALL) const
wxPGProperty * | GetProperty (const wxString &name) const
| Returns pointer to a property with given name (case-sensitive).
void | GetPropertiesWithFlag (wxArrayPGProperty *targetArr, wxPGProperty::FlagType flags, bool inverse=false, int iterFlags=(wxPG_ITERATE_PROPERTIES|wxPG_ITERATE_HIDDEN|wxPG_ITERATE_CATEGORIES)) const
| Adds to targetArr pointers to properties that have given flags set.
wxVariant | GetPropertyAttribute (wxPGPropArg id, const wxString &attrName) const
| Returns value of given attribute.
const wxPGAttributeStorage & | GetPropertyAttributes (wxPGPropArg id) const
| Returns map-like storage of property's attributes.
wxColour | GetPropertyBackgroundColour (wxPGPropArg id) const
| Returns background colour of first cell of a property.
wxPropertyCategory * | GetPropertyCategory (wxPGPropArg id) const
| Returns pointer of property's nearest parent category.
void * | GetPropertyClientData (wxPGPropArg id) const
| Returns client data (void*) of a property.
wxPGProperty * | GetPropertyByLabel (const wxString &label) const
| Returns first property which label matches given string.
wxPGProperty * | GetPropertyByName (const wxString &name) const
| Returns pointer to a property with given name (case-sensitive).
wxPGProperty * | GetPropertyByName (const wxString &name, const wxString &subname) const
| Returns child property subname of property name.
const wxPGEditor * | GetPropertyEditor (wxPGPropArg id) const
| Returns property's editor.
wxString | GetPropertyHelpString (wxPGPropArg id) const
| Returns help string associated with a property.
wxBitmap * | GetPropertyImage (wxPGPropArg id) const
| Returns property's custom value image (NULL of none).
const wxString & | GetPropertyLabel (wxPGPropArg id)
| Returns label of a property.
wxString | GetPropertyName (wxPGProperty *property)
| Returns property's name, by which it is globally accessible.
wxPGProperty * | GetPropertyParent (wxPGPropArg id)
| Returns parent item of a property.
wxColour | GetPropertyTextColour (wxPGPropArg id) const
| Returns text colour of first cell of a property.
wxValidator * | GetPropertyValidator (wxPGPropArg id)
| Returns validator of a property as a reference, which you can pass to any number of SetPropertyValidator.
wxVariant | GetPropertyValue (wxPGPropArg id)
| Returns property's value as wxVariant.
wxArrayInt | GetPropertyValueAsArrayInt (wxPGPropArg id) const
| Return's property's value as wxArrayInt.
wxArrayString | GetPropertyValueAsArrayString (wxPGPropArg id) const
| Returns property's value as wxArrayString.
bool | GetPropertyValueAsBool (wxPGPropArg id) const
| Returns property's value as bool.
wxDateTime | GetPropertyValueAsDateTime (wxPGPropArg id) const
| Return's property's value as wxDateTime.
double | GetPropertyValueAsDouble (wxPGPropArg id) const
| Returns property's value as double-precision floating point number.
int | GetPropertyValueAsInt (wxPGPropArg id) const
| Returns property's value as integer.
long | GetPropertyValueAsLong (wxPGPropArg id) const
| Returns property's value as integer.
wxLongLong_t | GetPropertyValueAsLongLong (wxPGPropArg id) const
| Returns property's value as native signed 64-bit integer.
wxString | GetPropertyValueAsString (wxPGPropArg id) const
| Returns property's value as wxString.
unsigned long | GetPropertyValueAsULong (wxPGPropArg id) const
| Returns property's value as unsigned integer.
wxULongLong_t | GetPropertyValueAsULongLong (wxPGPropArg id) const
| Returns property's value as native unsigned 64-bit integer.
wxVariant | GetPropertyValues (const wxString &listname=wxEmptyString, wxPGProperty *baseparent=NULL, long flags=0) const
| Returns a wxVariant list containing wxVariant versions of all property values.
const wxArrayPGProperty & | GetSelectedProperties () const
| Returns list of currently selected properties.
wxPGProperty * | GetSelection () const
| Returns currently selected property.
virtual wxPGVIterator | GetVIterator (int flags) const
| Similar to GetIterator(), but instead returns wxPGVIterator instance, which can be useful for forward-iterating through arbitrary property containers.
bool | HideProperty (wxPGPropArg id, bool hide=true, int flags=wxPG_RECURSE)
| Hides or reveals a property.
wxPGProperty * | Insert (wxPGPropArg priorThis, wxPGProperty *newProperty)
| Inserts property to the property container.
wxPGProperty * | Insert (wxPGPropArg parent, int index, wxPGProperty *newProperty)
| Inserts property to the property container.
bool | IsPropertyCategory (wxPGPropArg id) const
| Returns true if property is a category.
bool | IsPropertyEnabled (wxPGPropArg id) const
| Returns true if property is enabled.
bool | IsPropertyExpanded (wxPGPropArg id) const
| Returns true if given property is expanded.
bool | IsPropertyModified (wxPGPropArg id) const
| Returns true if property has been modified after value set or modify flag clear by software.
bool | IsPropertySelected (wxPGPropArg id) const
| Returns true if property is selected.
bool | IsPropertyShown (wxPGPropArg id) const
| Returns true if property is shown (i.e.
bool | IsPropertyValueUnspecified (wxPGPropArg id) const
| Returns true if property value is set to unspecified.
void | LimitPropertyEditing (wxPGPropArg id, bool limit=true)
| Disables (limit = true) or enables (limit = false) wxTextCtrl editor of a property, if it is not the sole mean to edit the value.
virtual void | RefreshGrid (wxPropertyGridPageState *state=NULL)
| If state is shown in its grid, refresh it now.
wxPGProperty * | RemoveProperty (wxPGPropArg id)
| Removes a property.
wxPGProperty * | ReplaceProperty (wxPGPropArg id, wxPGProperty *property)
| Replaces property with id with newly created one.
bool | RestoreEditableState (const wxString &src, int restoreStates=AllStates)
| Restores user-editable state.
wxString | SaveEditableState (int includedStates=AllStates) const
| Used to acquire user-editable state (selected property, expanded properties, scrolled position, splitter positions).
bool | SetColumnProportion (unsigned int column, int proportion)
| Set proportion of an auto-stretchable column.
void | SetPropertyAttribute (wxPGPropArg id, const wxString &attrName, wxVariant value, long argFlags=0)
| Sets an attribute for this property.
void | SetPropertyAttributeAll (const wxString &attrName, wxVariant value)
| Sets property attribute for all applicable properties.
void | SetPropertyBackgroundColour (wxPGPropArg id, const wxColour &colour, int flags=wxPG_RECURSE)
| Sets background colour of given property.
void | SetPropertyCell (wxPGPropArg id, int column, const wxString &text=wxEmptyString, const wxBitmap &bitmap=wxNullBitmap, const wxColour &fgCol=wxNullColour, const wxColour &bgCol=wxNullColour)
| Sets text, bitmap, and colours for given column's cell.
void | SetPropertyClientData (wxPGPropArg id, void *clientData)
| Sets client data (void*) of a property.
void | SetPropertyColoursToDefault (wxPGPropArg id, int flags=wxPG_DONT_RECURSE)
| Resets text and background colours of given property.
void | SetPropertyEditor (wxPGPropArg id, const wxPGEditor *editor)
| Sets editor for a property.
void | SetPropertyEditor (wxPGPropArg id, const wxString &editorName)
| Sets editor control of a property.
void | SetPropertyLabel (wxPGPropArg id, const wxString &newproplabel)
| Sets label of a property.
void | SetPropertyName (wxPGPropArg id, const wxString &newName)
| Sets name of a property.
void | SetPropertyReadOnly (wxPGPropArg id, bool set=true, int flags=wxPG_RECURSE)
| Sets property (and, recursively, its children) to have read-only value.
void | SetPropertyValueUnspecified (wxPGPropArg id)
| Sets property's value to unspecified.
void | SetPropertyValues (const wxVariantList &list, wxPGPropArg defaultCategory=wxNullProperty)
| Sets property values from a list of wxVariants.
void | SetPropertyValues (const wxVariant &list, wxPGPropArg defaultCategory=wxNullProperty)
| Sets property values from a list of wxVariants.
void | SetPropertyHelpString (wxPGPropArg id, const wxString &helpString)
| Associates the help string with property.
void | SetPropertyImage (wxPGPropArg id, wxBitmap &bmp)
| Set wxBitmap in front of the value.
bool | SetPropertyMaxLength (wxPGPropArg id, int maxLen)
| Sets maximum length of text in property text editor.
void | SetPropertyTextColour (wxPGPropArg id, const wxColour &colour, int flags=wxPG_RECURSE)
| Sets text colour of given property.
void | SetPropertyValidator (wxPGPropArg id, const wxValidator &validator)
| Sets validator of a property.
void | SetPropertyValue (wxPGPropArg id, long value)
| Sets value (long integer) of a property.
void | SetPropertyValue (wxPGPropArg id, int value)
| Sets value (integer) of a property.
void | SetPropertyValue (wxPGPropArg id, double value)
| Sets value (floating point) of a property.
void | SetPropertyValue (wxPGPropArg id, bool value)
| Sets value (bool) of a property.
void | SetPropertyValue (wxPGPropArg id, const wchar_t *value)
| Sets value (wchar_t*) of a property.
void | SetPropertyValue (wxPGPropArg id, const char *value)
| Sets value (char*) of a property.
void | SetPropertyValue (wxPGPropArg id, const wxString &value)
| Sets value (string) of a property.
void | SetPropertyValue (wxPGPropArg id, const wxArrayString &value)
| Sets value (wxArrayString) of a property.
void | SetPropertyValue (wxPGPropArg id, const wxDateTime &value)
| Sets value (wxDateTime) of a property.
void | SetPropertyValue (wxPGPropArg id, wxObject *value)
| Sets value (wxObject*) of a property.
void | SetPropertyValue (wxPGPropArg id, wxObject &value)
| Sets value (wxObject&) of a property.
void | SetPropertyValue (wxPGPropArg id, wxLongLong_t value)
| Sets value (native 64-bit int) of a property.
void | SetPropertyValue (wxPGPropArg id, wxLongLong value)
| Sets value (wxLongLong) of a property.
void | SetPropertyValue (wxPGPropArg id, wxULongLong_t value)
| Sets value (native 64-bit unsigned int) of a property.
void | SetPropertyValue (wxPGPropArg id, wxULongLong value)
| Sets value (wxULongLong) of a property.
void | SetPropertyValue (wxPGPropArg id, const wxArrayInt &value)
| Sets value (wxArrayInt&) of a property.
void | SetPropertyValueString (wxPGPropArg id, const wxString &value)
| Sets value (wxString) of a property.
void | SetPropertyValue (wxPGPropArg id, wxVariant value)
| Sets value (wxVariant) of a property.
void | SetPropVal (wxPGPropArg id, wxVariant &value)
| Sets value (wxVariant&) of a property.
void | SetValidationFailureBehavior (int vfbFlags)
| Adjusts how wxPropertyGrid behaves when invalid value is entered in a property.
void | Sort (int flags=0)
| Sorts all properties recursively.
void | SortChildren (wxPGPropArg id, int flags=0)
| Sorts children of a property.
wxPGProperty * | GetPropertyByNameA (const wxString &name) const
| GetPropertyByName() with assertion error message.
Public Member Functions inherited from wxPropertyGridPageState
| wxPropertyGridPageState ()
| Default constructor.
virtual | ~wxPropertyGridPageState ()
| Destructor.
void | CheckColumnWidths (int widthChange=0)
| Makes sure all columns have minimum width.
virtual void | DoDelete (wxPGProperty *item, bool doDelete=true)
| Override this member function to add custom behaviour on property deletion.
wxSize | DoFitColumns (bool allowGridResize=false)
wxPGProperty * | DoGetItemAtY (int y) const
virtual wxPGProperty * | DoInsert (wxPGProperty *parent, int index, wxPGProperty *property)
| Override this member function to add custom behaviour on property insertion.
virtual void | DoSetSplitterPosition (int pos, int splitterColumn=0, int flags=0)
| This needs to be overridden in grid used the manager so that splitter changes can be propagated to other pages.
bool | EnableCategories (bool enable)
void | EnsureVirtualHeight ()
| Make sure virtual height is up-to-date.
unsigned int | GetVirtualHeight () const
| Returns (precalculated) height of contained visible properties.
unsigned int | GetVirtualHeight ()
| Returns (precalculated) height of contained visible properties.
unsigned int | GetActualVirtualHeight () const
| Returns actual height of contained visible properties.
unsigned int | GetColumnCount () const
int | GetColumnMinWidth (int column) const
int | GetColumnWidth (unsigned int column) const
wxPropertyGrid * | GetGrid () const
wxPGProperty * | GetLastItem (int flags=wxPG_ITERATE_DEFAULT)
| Returns last item which could be iterated using given flags.
const wxPGProperty * | GetLastItem (int flags=wxPG_ITERATE_DEFAULT) const
wxPGProperty * | GetSelection () const
| Returns currently selected property.
void | DoSetSelection (wxPGProperty *prop)
bool | DoClearSelection ()
void | DoRemoveFromSelection (wxPGProperty *prop)
void | DoSetColumnProportion (unsigned int column, int proportion)
int | DoGetColumnProportion (unsigned int column) const
void | ResetColumnSizes (int setSplitterFlags)
wxPropertyCategory * | GetPropertyCategory (const wxPGProperty *p) const
wxVariant | DoGetPropertyValues (const wxString &listname, wxPGProperty *baseparent, long flags) const
wxPGProperty * | DoGetRoot () const
void | DoSetPropertyName (wxPGProperty *p, const wxString &newName)
int | GetVirtualWidth () const
| Returns combined width of margin and all the columns.
int | GetColumnFitWidth (wxClientDC &dc, wxPGProperty *pwc, unsigned int col, bool subProps) const
| Returns minimal width for given column so that all images and texts will fit entirely.
int | GetColumnFullWidth (wxClientDC &dc, wxPGProperty *p, unsigned int col)
wxPropertyGridHitTestResult | HitTest (const wxPoint &pt) const
| Returns information about arbitrary position in the grid.
bool | IsDisplayed () const
| Returns true if page is visibly displayed.
bool | IsInNonCatMode () const
void | DoLimitPropertyEditing (wxPGProperty *p, bool limit=true)
bool | DoSelectProperty (wxPGProperty *p, unsigned int flags=0)
void | OnClientWidthChange (int newWidth, int widthChange, bool fromOnResize=false)
| widthChange is non-client.
void | RecalculateVirtualHeight ()
| Recalculates m_virtualHeight.
void | SetColumnCount (int colCount)
void | PropagateColSizeDec (int column, int decrease, int dir)
bool | DoHideProperty (wxPGProperty *p, bool hide, int flags=wxPG_RECURSE)
bool | DoSetPropertyValueString (wxPGProperty *p, const wxString &value)
bool | DoSetPropertyValue (wxPGProperty *p, wxVariant &value)
bool | DoSetPropertyValueWxObjectPtr (wxPGProperty *p, wxObject *value)
void | DoSetPropertyValues (const wxVariantList &list, wxPGProperty *default_category)
void | SetSplitterLeft (bool subProps=false)
void | SetVirtualWidth (int width)
| Set virtual width for this particular page.
void | DoSortChildren (wxPGProperty *p, int flags=0)
void | DoSort (int flags=0)
bool | PrepareAfterItemsAdded ()
void | VirtualHeightChanged ()
| Called after virtual height needs to be recalculated.
wxPGProperty * | DoAppend (wxPGProperty *property)
| Base append.
wxPGProperty * | BaseGetPropertyByName (const wxString &name) const
| Returns property by its name.
void | DoClear ()
| Called in, for example, wxPropertyGrid::Clear.
bool | DoIsPropertySelected (wxPGProperty *prop) const
bool | DoCollapse (wxPGProperty *p)
bool | DoExpand (wxPGProperty *p)
void | CalculateFontAndBitmapStuff (int vspacing)

## Friends
class | wxPropertyGridManager

## Additional Inherited Members
Public Types inherited from wxPropertyGridInterface
enum | EditableStateFlags { SelectionState , ExpandedState , ScrollPosState , PageState , SplitterPosState , DescBoxState , AllStates }
| More...
static void | AddFilter (wxEventFilter *filter)
| Add an event filter whose FilterEvent() method will be called for each and every event processed by wxWidgets.
static void | RemoveFilter (wxEventFilter *filter)
| Remove a filter previously installed with AddFilter().
Static Public Member Functions inherited from wxPropertyGridInterface
static void | InitAllTypeHandlers ()
| Initializes all property types.
static void | RegisterAdditionalEditors ()
| Initializes additional property editors (SpinCtrl etc.).
static void | SetBoolChoices (const wxString &trueChoice, const wxString &falseChoice)
| Sets strings listed in the choice dropdown of a wxBoolProperty.
static wxPGEditor * | GetEditorByName (const wxString &editorName)
| Returns editor pointer of editor with given name.
virtual bool | TryBefore (wxEvent &event)
| Method called by ProcessEvent() before examining this object event tables.
virtual bool | TryAfter (wxEvent &event)
| Method called by ProcessEvent() as last resort.
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxPropertyGridPage()

wxPropertyGridPage::wxPropertyGridPage | ( |  | ) |

## ◆ ~wxPropertyGridPage()

virtual wxPropertyGridPage::~wxPropertyGridPage | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Clear()

virtual void wxPropertyGridPage::Clear | ( |  | ) |
| virtual

Deletes all properties on page.

Implements wxPropertyGridInterface.

## ◆ FitColumns()

wxSize wxPropertyGridPage::FitColumns | ( |  | ) |

Reduces column sizes to minimum possible that contents are still visibly (naturally some margin space will be applied as well).

Returns
  Returns minimum size for the page to still display everything.

Remarks
  This function only works properly if size of containing grid was already fairly large.

Note that you can also get calculated column widths by calling GetColumnWidth() immediately after this function returns.

## ◆ GetIndex()

int wxPropertyGridPage::GetIndex | ( |  | ) | const
| inline

Returns page index in manager;.

## ◆ GetRoot()

wxPGProperty * wxPropertyGridPage::GetRoot | ( |  | ) | const

Returns "root property".

It does not have name, etc. and it is not visible. It is only useful for accessing its children.

## ◆ GetSplitterPosition()

int wxPropertyGridPage::GetSplitterPosition | ( | int | col = 0 | ) | const

Returns x-coordinate position of splitter on a page.

## ◆ GetStatePtr() [1/2]

wxPropertyGridPageState * wxPropertyGridPage::GetStatePtr | ( |  | ) |

Returns pointer to contained property grid state.

## ◆ GetStatePtr() [2/2]

const wxPropertyGridPageState * wxPropertyGridPage::GetStatePtr | ( |  | ) | const

Returns pointer to contained property grid state.

## ◆ GetToolId()

int wxPropertyGridPage::GetToolId | ( |  | ) | const

Returns id of the tool bar item that represents this page on wxPropertyGridManager's wxToolBar.

## ◆ Init()

virtual void wxPropertyGridPage::Init | ( |  | ) |
| virtual

Do any member initialization in this method.

Remarks
  - Called every time the page is added into a manager.
  - You can add properties to the page here.

## ◆ IsHandlingAllEvents()

virtual bool wxPropertyGridPage::IsHandlingAllEvents | ( |  | ) | const
| virtual

Return false here to indicate unhandled events should be propagated to manager's parent, as normal.

## ◆ OnShow()

virtual void wxPropertyGridPage::OnShow | ( |  | ) |
| virtual

Called every time page is about to be shown.

Useful, for instance, creating properties just-in-time.

## ◆ RefreshProperty()

virtual void wxPropertyGridPage::RefreshProperty | ( | wxPGProperty * | p | ) |
| virtual

Refreshes given property on page.

Implements wxPropertyGridInterface.

## ◆ SetSplitterPosition()

void wxPropertyGridPage::SetSplitterPosition | ( | int | splitterPos,
|  | int | col = 0 )

Sets splitter position on page.

Remarks
  Splitter position cannot exceed grid size, and therefore setting it during form creation may fail as initial grid size is often smaller than desired splitter position, especially when sizers are being used.

## Friends And Related Symbol Documentation

## ◆ wxPropertyGridManager

friend class wxPropertyGridManager
| friend